JUCE: MarkerList::ValueTreeWrapper Class Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
MarkerList::ValueTreeWrapper Class Reference
juce_gui_basics » positioning

Forms a wrapper around a ValueTree that can be used for storing a MarkerList. More...

`#include <juce_MarkerList.h>`

## Public Member Functions
| ValueTreeWrapper (const ValueTree &state)
ValueTree & | getState () noexcept
int | getNumMarkers () const
ValueTree | getMarkerState (int index) const
ValueTree | getMarkerState (const String &name) const
bool | containsMarker (const ValueTree &state) const
MarkerList::Marker | getMarker (const ValueTree &state) const
void | setMarker (const MarkerList::Marker &marker, UndoManager *undoManager)
void | removeMarker (const ValueTree &state, UndoManager *undoManager)
void | applyTo (MarkerList &markerList)
void | readFrom (const MarkerList &markerList, UndoManager *undoManager)

## Static Public Attributes
static const Identifier | markerTag
static const Identifier | nameProperty
static const Identifier | posProperty

## Detailed Description

Forms a wrapper around a ValueTree that can be used for storing a MarkerList.

## Constructor & Destructor Documentation

## ◆ ValueTreeWrapper()

MarkerList::ValueTreeWrapper::ValueTreeWrapper | ( | const ValueTree & | state | ) |

## Member Function Documentation

## ◆ getState()

ValueTree & MarkerList::ValueTreeWrapper::getState | ( |  | ) |
| noexcept

## ◆ getNumMarkers()

int MarkerList::ValueTreeWrapper::getNumMarkers | ( |  | ) | const

## ◆ getMarkerState() [1/2]

ValueTree MarkerList::ValueTreeWrapper::getMarkerState | ( | int | index | ) | const

## ◆ getMarkerState() [2/2]

ValueTree MarkerList::ValueTreeWrapper::getMarkerState | ( | const String & | name | ) | const

## ◆ containsMarker()

bool MarkerList::ValueTreeWrapper::containsMarker | ( | const ValueTree & | state | ) | const

## ◆ getMarker()

MarkerList::Marker MarkerList::ValueTreeWrapper::getMarker | ( | const ValueTree & | state | ) | const

## ◆ setMarker()

void MarkerList::ValueTreeWrapper::setMarker | ( | const MarkerList::Marker & | marker,
|  | UndoManager * | undoManager
| ) |  |

## ◆ removeMarker()

void MarkerList::ValueTreeWrapper::removeMarker | ( | const ValueTree & | state,
|  | UndoManager * | undoManager
| ) |  |

## ◆ applyTo()

void MarkerList::ValueTreeWrapper::applyTo | ( | MarkerList & | markerList | ) |

## ◆ readFrom()

void MarkerList::ValueTreeWrapper::readFrom | ( | const MarkerList & | markerList,
|  | UndoManager * | undoManager
| ) |  |

## Member Data Documentation

## ◆ markerTag

const Identifier MarkerList::ValueTreeWrapper::markerTag
| static

## ◆ nameProperty

const Identifier MarkerList::ValueTreeWrapper::nameProperty
| static

## ◆ posProperty

const Identifier MarkerList::ValueTreeWrapper::posProperty
| static

The documentation for this class was generated from the following file:

- juce_MarkerList.h